import { IsString, IsJSON } from 'class-validator';

export class MapMarkerDTO {
    @IsString()
    type:string;
    @IsString()
    latitude: string;
    @IsString()
    longitude: string;
    @IsString()
    timestamp: string;    
    @IsJSON()
    features: JSON;
}